
// ページ読み込み完了後にイベントを設定
if (window.addEventListener) {
	window.addEventListener('load', setEvent, {passive: false});
}

//////////////////////////////////////////////////////////////

// リンクイベントを設定
function setEvent() {
	
	// リンクの数を取得
	var lentgh = document.links.length;
	
	// リンクの数だけループ
	for (i = 0; i < lentgh; i++) {
		
		// 要素を取得
		var node = document.links[i];
		
		// クラス名を取得
		var className = node.className;
		
		// 内部リンクの時
		if (className == 'in') {
			
			// 次へ
			continue;
			
		}
		
		// 外部リンクの時
		else if (className == 'out') {
			
			// ターゲット属性を設定
			node.target = '_blank';
			
			// 次へ
			continue;
			
		}
		
	}
	
}

