<?php

class Connect {
	
	//---------------------------------------------------------
	//  初期処理
	//---------------------------------------------------------
	
	public static function execute() {
		
		// サイト番号をCookieから取得
		$site = (isset($_COOKIE['site'])) ? (int) $_COOKIE['site'] : 1;
		
		// DBのサフィックスを設定（接尾辞）
		$GLOBALS['suffix'] = '_' . $site . '.sqlite';
		
		// メインDB名を設定
		$GLOBALS['mainDB'] = 'access_main' . $GLOBALS['suffix'];
		
		// DBクラスを読み込み
		include(FW_DIR . '/modules/core/DB.php');
		
		// インスタンスを生成
		$GLOBALS['object']['db'] = new DB(DATA_DIR);
		
		// DBに接続
		$GLOBALS['object']['db']->connect($GLOBALS['mainDB']);
		
	}
	
}

